diff -u trac.orig/Makefile trac/Makefile
--- trac.orig/Makefile	Tue Jul 13 01:34:25 2004
+++ trac/Makefile	Tue Dec 21 21:17:34 2004
@@ -6,7 +6,7 @@
 #
 
 PORTNAME=	trac
-PORTVERSION=	0.7.1
+PORTVERSION=	0.8
 CATEGORIES=	www devel python
 MASTER_SITES=	http://ftp.edgewall.com/pub/trac/ \
 		ftp://ftp.edgewall.com/pub/trac/
@@ -23,7 +23,13 @@
 
 # This target is only meant to be used by the port maintainer.
 x-generate-plist:
-	(${PORTSDIR}/Tools/scripts/plist -d -m ${MTREE_FILE} ${PREFIX}|sed -E 's,.*share/nls/.+$$,,g;s,${PYTHON_SITELIBDIR:S,^${PYTHONBASE}/,,},%%PYTHON_SITELIBDIR%%,g'|tr -s '\n') > temp-pkg-plist
+	(${PORTSDIR}/Tools/scripts/plist -d -m ${MTREE_FILE} ${PREFIX} \
+	| ${SED} -E \
+		's,.*share/nls/.+$$,,g \
+		;s,@dirrm share/man(/.*)?$$,,g \
+		;s,${PYTHON_SITELIBDIR:S,^${PYTHONBASE}/,,},%%PYTHON_SITELIBDIR%%,g \
+		;s,@dirrm (%%PYTHON_SITELIBDIR%%|${PYTHON_LIBDIR:S,${PYTHONBASE}/,,})$$,,g \
+		' | ${TR} -s '\n') > temp-pkg-plist
 
 post-install:
 	@${CAT} ${PKGMESSAGE}
diff -u trac.orig/distinfo trac/distinfo
--- trac.orig/distinfo	Mon Jul 12 23:41:04 2004
+++ trac/distinfo	Tue Dec 21 19:34:39 2004
@@ -1,2 +1,2 @@
-MD5 (trac-0.7.1.tar.gz) = 3175fb9e4b29c1284c3cd88db3c7f76a
-SIZE (trac-0.7.1.tar.gz) = 168895
+MD5 (trac-0.8.tar.gz) = b21a20affba43cb0cea847f336320257
+SIZE (trac-0.8.tar.gz) = 214924
diff -u trac.orig/pkg-message trac/pkg-message
--- trac.orig/pkg-message	Tue Jul 13 01:34:25 2004
+++ trac/pkg-message	Tue Dec 21 21:33:23 2004
@@ -1,21 +1,11 @@
 
 *******************************************************************************
-Trac 0.7 has a new database format, requiring manual upgrade.
-The following steps are needed to upgrade:
 
-1) convert the old-style trac databases to new-style trac environments:
+The Trac database schema was changed between versions 0.7.x and 0.8.  Existing
+environments must be upgraded before they can be used with Trac 0.8.
 
-  # tracdb2env /path/to/old/project.db /path/to/new/projectenv
+Consult the upgrade instructions at:
+	http://projects.edgewall.com/trac/wiki/TracUpgrade
 
-
-2) update your httpd.conf. change the line
-      SetEnv TRAC_DB "/path/to/old/project.db"
-   to
-      SetEnv TRAC_ENV "/path/to/new/projectenv"
-
-
-3) once you verified everything works fine, delete your old database:
-
-  # rm /path/to/old/project.db
 *******************************************************************************
 
diff -u trac.orig/pkg-plist trac/pkg-plist
--- trac.orig/pkg-plist	Mon Jul 12 23:41:04 2004
+++ trac/pkg-plist	Tue Dec 21 21:17:37 2004
@@ -10,6 +10,9 @@
 %%PYTHON_SITELIBDIR%%/trac/Changeset.py
 %%PYTHON_SITELIBDIR%%/trac/Changeset.pyc
 %%PYTHON_SITELIBDIR%%/trac/Changeset.pyo
+%%PYTHON_SITELIBDIR%%/trac/Diff.py
+%%PYTHON_SITELIBDIR%%/trac/Diff.pyc
+%%PYTHON_SITELIBDIR%%/trac/Diff.pyo
 %%PYTHON_SITELIBDIR%%/trac/Environment.py
 %%PYTHON_SITELIBDIR%%/trac/Environment.pyc
 %%PYTHON_SITELIBDIR%%/trac/Environment.pyo
@@ -25,6 +28,9 @@
 %%PYTHON_SITELIBDIR%%/trac/Logging.py
 %%PYTHON_SITELIBDIR%%/trac/Logging.pyc
 %%PYTHON_SITELIBDIR%%/trac/Logging.pyo
+%%PYTHON_SITELIBDIR%%/trac/Milestone.py
+%%PYTHON_SITELIBDIR%%/trac/Milestone.pyc
+%%PYTHON_SITELIBDIR%%/trac/Milestone.pyo
 %%PYTHON_SITELIBDIR%%/trac/Mimeview.py
 %%PYTHON_SITELIBDIR%%/trac/Mimeview.pyc
 %%PYTHON_SITELIBDIR%%/trac/Mimeview.pyo
@@ -37,12 +43,24 @@
 %%PYTHON_SITELIBDIR%%/trac/Notify.py
 %%PYTHON_SITELIBDIR%%/trac/Notify.pyc
 %%PYTHON_SITELIBDIR%%/trac/Notify.pyo
+%%PYTHON_SITELIBDIR%%/trac/Query.py
+%%PYTHON_SITELIBDIR%%/trac/Query.pyc
+%%PYTHON_SITELIBDIR%%/trac/Query.pyo
 %%PYTHON_SITELIBDIR%%/trac/Report.py
 %%PYTHON_SITELIBDIR%%/trac/Report.pyc
 %%PYTHON_SITELIBDIR%%/trac/Report.pyo
+%%PYTHON_SITELIBDIR%%/trac/Roadmap.py
+%%PYTHON_SITELIBDIR%%/trac/Roadmap.pyc
+%%PYTHON_SITELIBDIR%%/trac/Roadmap.pyo
 %%PYTHON_SITELIBDIR%%/trac/Search.py
 %%PYTHON_SITELIBDIR%%/trac/Search.pyc
 %%PYTHON_SITELIBDIR%%/trac/Search.pyo
+%%PYTHON_SITELIBDIR%%/trac/Session.py
+%%PYTHON_SITELIBDIR%%/trac/Session.pyc
+%%PYTHON_SITELIBDIR%%/trac/Session.pyo
+%%PYTHON_SITELIBDIR%%/trac/Settings.py
+%%PYTHON_SITELIBDIR%%/trac/Settings.pyc
+%%PYTHON_SITELIBDIR%%/trac/Settings.pyo
 %%PYTHON_SITELIBDIR%%/trac/Ticket.py
 %%PYTHON_SITELIBDIR%%/trac/Ticket.pyc
 %%PYTHON_SITELIBDIR%%/trac/Ticket.pyo
@@ -52,12 +70,18 @@
 %%PYTHON_SITELIBDIR%%/trac/Wiki.py
 %%PYTHON_SITELIBDIR%%/trac/Wiki.pyc
 %%PYTHON_SITELIBDIR%%/trac/Wiki.pyo
+%%PYTHON_SITELIBDIR%%/trac/WikiFormatter.py
+%%PYTHON_SITELIBDIR%%/trac/WikiFormatter.pyc
+%%PYTHON_SITELIBDIR%%/trac/WikiFormatter.pyo
 %%PYTHON_SITELIBDIR%%/trac/__init__.py
 %%PYTHON_SITELIBDIR%%/trac/__init__.pyc
 %%PYTHON_SITELIBDIR%%/trac/__init__.pyo
 %%PYTHON_SITELIBDIR%%/trac/auth.py
 %%PYTHON_SITELIBDIR%%/trac/auth.pyc
 %%PYTHON_SITELIBDIR%%/trac/auth.pyo
+%%PYTHON_SITELIBDIR%%/trac/authzperm.py
+%%PYTHON_SITELIBDIR%%/trac/authzperm.pyc
+%%PYTHON_SITELIBDIR%%/trac/authzperm.pyo
 %%PYTHON_SITELIBDIR%%/trac/core.py
 %%PYTHON_SITELIBDIR%%/trac/core.pyc
 %%PYTHON_SITELIBDIR%%/trac/core.pyo
@@ -100,42 +124,81 @@
 %%PYTHON_SITELIBDIR%%/trac/upgrades/db3.py
 %%PYTHON_SITELIBDIR%%/trac/upgrades/db3.pyc
 %%PYTHON_SITELIBDIR%%/trac/upgrades/db3.pyo
+%%PYTHON_SITELIBDIR%%/trac/upgrades/db4.py
+%%PYTHON_SITELIBDIR%%/trac/upgrades/db4.pyc
+%%PYTHON_SITELIBDIR%%/trac/upgrades/db4.pyo
+%%PYTHON_SITELIBDIR%%/trac/upgrades/db5.py
+%%PYTHON_SITELIBDIR%%/trac/upgrades/db5.pyc
+%%PYTHON_SITELIBDIR%%/trac/upgrades/db5.pyo
+%%PYTHON_SITELIBDIR%%/trac/upgrades/db6.py
+%%PYTHON_SITELIBDIR%%/trac/upgrades/db6.pyc
+%%PYTHON_SITELIBDIR%%/trac/upgrades/db6.pyo
+%%PYTHON_SITELIBDIR%%/trac/upgrades/db7.py
+%%PYTHON_SITELIBDIR%%/trac/upgrades/db7.pyc
+%%PYTHON_SITELIBDIR%%/trac/upgrades/db7.pyo
 %%PYTHON_SITELIBDIR%%/trac/util.py
 %%PYTHON_SITELIBDIR%%/trac/util.pyc
 %%PYTHON_SITELIBDIR%%/trac/util.pyo
 %%PYTHON_SITELIBDIR%%/trac/wikimacros/HelloWorld.py
 %%PYTHON_SITELIBDIR%%/trac/wikimacros/HelloWorld.pyc
 %%PYTHON_SITELIBDIR%%/trac/wikimacros/HelloWorld.pyo
+%%PYTHON_SITELIBDIR%%/trac/wikimacros/RecentChanges.py
+%%PYTHON_SITELIBDIR%%/trac/wikimacros/RecentChanges.pyc
+%%PYTHON_SITELIBDIR%%/trac/wikimacros/RecentChanges.pyo
 %%PYTHON_SITELIBDIR%%/trac/wikimacros/Timestamp.py
 %%PYTHON_SITELIBDIR%%/trac/wikimacros/Timestamp.pyc
 %%PYTHON_SITELIBDIR%%/trac/wikimacros/Timestamp.pyo
+%%PYTHON_SITELIBDIR%%/trac/wikimacros/TitleIndex.py
+%%PYTHON_SITELIBDIR%%/trac/wikimacros/TitleIndex.pyc
+%%PYTHON_SITELIBDIR%%/trac/wikimacros/TitleIndex.pyo
+%%PYTHON_SITELIBDIR%%/trac/wikimacros/TracGuideToc.py
+%%PYTHON_SITELIBDIR%%/trac/wikimacros/TracGuideToc.pyc
+%%PYTHON_SITELIBDIR%%/trac/wikimacros/TracGuideToc.pyo
 %%PYTHON_SITELIBDIR%%/trac/wikimacros/__init__.py
 %%PYTHON_SITELIBDIR%%/trac/wikimacros/__init__.pyc
 %%PYTHON_SITELIBDIR%%/trac/wikimacros/__init__.pyo
 %%PYTHON_SITELIBDIR%%/trac/wikimacros/rst.py
 %%PYTHON_SITELIBDIR%%/trac/wikimacros/rst.pyc
 %%PYTHON_SITELIBDIR%%/trac/wikimacros/rst.pyo
+%%PYTHON_SITELIBDIR%%/trac/wikimacros/txtl.py
+%%PYTHON_SITELIBDIR%%/trac/wikimacros/txtl.pyc
+%%PYTHON_SITELIBDIR%%/trac/wikimacros/txtl.pyo
+share/man/man1/trac-admin.1
+share/man/man1/tracd.1
+share/man/man1/tracdb2env.1
 share/trac/cgi-bin/trac.cgi
 share/trac/htdocs/README
+share/trac/htdocs/asc.png
 share/trac/htdocs/changeset.png
 share/trac/htdocs/closedticket.png
 share/trac/htdocs/css/browser.css
 share/trac/htdocs/css/changeset.css
 share/trac/htdocs/css/code.css
+share/trac/htdocs/css/diff.css
 share/trac/htdocs/css/report.css
+share/trac/htdocs/css/roadmap.css
 share/trac/htdocs/css/search.css
 share/trac/htdocs/css/ticket.css
 share/trac/htdocs/css/timeline.css
 share/trac/htdocs/css/trac.css
+share/trac/htdocs/css/wiki.css
+share/trac/htdocs/desc.png
 share/trac/htdocs/dots.gif
-share/trac/htdocs/edgewall_logo_left-226x43.png
+share/trac/htdocs/draft.png
+share/trac/htdocs/edgewall.png
+share/trac/htdocs/edit_toolbar.png
+share/trac/htdocs/extlink.gif
 share/trac/htdocs/file.png
+share/trac/htdocs/filedeny.png
 share/trac/htdocs/folder.png
+share/trac/htdocs/folderdeny.png
+share/trac/htdocs/ics.png
+share/trac/htdocs/imggrid.png
 share/trac/htdocs/milestone.png
 share/trac/htdocs/newticket.png
 share/trac/htdocs/parent.png
-share/trac/htdocs/topbar_active.png
 share/trac/htdocs/topbar_gradient.png
+share/trac/htdocs/topbar_gradient2.png
 share/trac/htdocs/trac.js
 share/trac/htdocs/trac_banner.png
 share/trac/htdocs/trac_logo_mini.png
@@ -152,44 +215,53 @@
 share/trac/templates/log.cs
 share/trac/templates/log_rss.cs
 share/trac/templates/macros.cs
+share/trac/templates/milestone.cs
 share/trac/templates/newticket.cs
+share/trac/templates/query.cs
 share/trac/templates/report.cs
 share/trac/templates/report_rss.cs
+share/trac/templates/roadmap.cs
 share/trac/templates/search.cs
+share/trac/templates/settings.cs
 share/trac/templates/ticket.cs
 share/trac/templates/ticket_notify_email.cs
 share/trac/templates/timeline.cs
 share/trac/templates/timeline_rss.cs
 share/trac/templates/wiki.cs
 share/trac/wiki-default/CamelCase
+share/trac/wiki-default/RecentChanges
 share/trac/wiki-default/SandBox
+share/trac/wiki-default/TitleIndex
 share/trac/wiki-default/TracAccessibility
 share/trac/wiki-default/TracAdmin
+share/trac/wiki-default/TracBackup
 share/trac/wiki-default/TracBrowser
 share/trac/wiki-default/TracChangeset
+share/trac/wiki-default/TracEnvironment
 share/trac/wiki-default/TracGuide
+share/trac/wiki-default/TracImport
 share/trac/wiki-default/TracIni
 share/trac/wiki-default/TracInstall
+share/trac/wiki-default/TracInstallPlatforms
 share/trac/wiki-default/TracLinks
 share/trac/wiki-default/TracLogging
+share/trac/wiki-default/TracModPython
+share/trac/wiki-default/TracMultipleProjects
 share/trac/wiki-default/TracNotification
-share/trac/wiki-default/TracOnDebian
-share/trac/wiki-default/TracOnFreeBsd
-share/trac/wiki-default/TracOnGentoo
-share/trac/wiki-default/TracOnMandrakelinux
-share/trac/wiki-default/TracOnNetBsd
-share/trac/wiki-default/TracOnOsx
-share/trac/wiki-default/TracOnRedhat
-share/trac/wiki-default/TracOnWindows
 share/trac/wiki-default/TracPermissions
+share/trac/wiki-default/TracQuery
 share/trac/wiki-default/TracReports
+share/trac/wiki-default/TracRoadmap
 share/trac/wiki-default/TracRss
 share/trac/wiki-default/TracSearch
+share/trac/wiki-default/TracStandalone
 share/trac/wiki-default/TracSupport
 share/trac/wiki-default/TracSyntaxColoring
 share/trac/wiki-default/TracTickets
+share/trac/wiki-default/TracTicketsCustomFields
 share/trac/wiki-default/TracTimeline
 share/trac/wiki-default/TracUnicode
+share/trac/wiki-default/TracUpgrade
 share/trac/wiki-default/TracWiki
 share/trac/wiki-default/WikiFormatting
 share/trac/wiki-default/WikiHtml