diff -ruN py-mimelib/Makefile py-email/Makefile
--- py-mimelib/Makefile	Wed Dec 15 01:01:22 2004
+++ py-email/Makefile	Thu Jul 21 08:54:03 2005
@@ -5,25 +5,30 @@
 # $FreeBSD: ports/mail/py-mimelib/Makefile,v 1.2 2004/12/14 22:35:01 pav Exp $
 #

-PORTNAME=	mimelib
-PORTVERSION=	2.5
+PORTNAME=	email
+PORTVERSION=	3.0
 CATEGORIES=	mail python
-MASTER_SITES=   ${MASTER_SITE_SOURCEFORGE}
-MASTER_SITE_SUBDIR=     mimelib
+MASTER_SITES=   ftp://ftp.python.org/pub/python/contrib/
 PKGNAMEPREFIX=  ${PYTHON_PKGNAMEPREFIX}
 DISTNAME=       email-${PORTVERSION}

 MAINTAINER=	estartu@augusta.de
-COMMENT=	Email package for Python
+COMMENT=	Email package for Python 2.3 or upper

 DIST_SUBDIR=	python
 USE_PYTHON=	yes
 USE_PYDISTUTILS=yes

+CONFLICTS=	py*-mimelib-2.* py*-email-2.*
+
 .include <bsd.port.pre.mk>

-.if ${PYTHON_REL} >= 220
-IGNORE=		is part of the Python base distribution since python 2.2
+.if ${PYTHON_REL} >= 240
+IGNORE=		Python 2.4 or upper don't need of this port
+.else
+.if ${PYTHON_REL} < 230
+IGNORE=		For your Python version use ${PORTSDIR}/mail/${PORTNAME}2
+.endif
 .endif

 .include <bsd.port.post.mk>
diff -ruN py-mimelib/distinfo py-email/distinfo
--- py-mimelib/distinfo	Wed Mar 31 01:09:13 2004
+++ py-email/distinfo	Thu Jul 21 08:48:59 2005
@@ -1,2 +1,2 @@
-MD5 (python/email-2.5.tar.gz) = a2a396f97e9628cfb91471a1d3d156d8
-SIZE (python/email-2.5.tar.gz) = 1194582
+MD5 (python/email-3.0.tar.gz) = 7f3839d4e1b2cb615e6323acdfba050b
+SIZE (python/email-3.0.tar.gz) = 1053472
diff -ruN py-mimelib/pkg-descr py-email/pkg-descr
--- py-mimelib/pkg-descr	Mon Oct  6 09:22:25 2003
+++ py-email/pkg-descr	Thu Jul 21 08:48:59 2005
@@ -3,4 +3,4 @@
 package for parsing, manipulating, and generating MIME and rfc822 style
 messages in Python.

-WWW: http://sourceforge.net/projects/mimelib/
+WWW: http://www.python.org/sigs/email-sig/
diff -ruN py-mimelib/pkg-plist py-email/pkg-plist
--- py-mimelib/pkg-plist	Mon Oct  6 09:22:25 2003
+++ py-email/pkg-plist	Thu Jul 21 08:48:59 2005
@@ -1,67 +1,64 @@
-lib/%%PYTHON_VERSION%%/site-packages/email/_compat22.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/_compat22.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/Charset.py
-lib/%%PYTHON_VERSION%%/site-packages/email/Charset.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/Charset.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/Encoders.py
-lib/%%PYTHON_VERSION%%/site-packages/email/Encoders.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/Encoders.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/Errors.py
-lib/%%PYTHON_VERSION%%/site-packages/email/Errors.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/Errors.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/Generator.py
-lib/%%PYTHON_VERSION%%/site-packages/email/Generator.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/Generator.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/Header.py
-lib/%%PYTHON_VERSION%%/site-packages/email/Header.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/Header.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/Iterators.py
-lib/%%PYTHON_VERSION%%/site-packages/email/Iterators.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/Iterators.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEAudio.py
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEAudio.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEAudio.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEBase.py
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEBase.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEBase.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEImage.py
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEImage.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEImage.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEMessage.py
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEMessage.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEMessage.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEMultipart.py
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEMultipart.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEMultipart.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMENonMultipart.py
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMENonMultipart.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMENonMultipart.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEText.py
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEText.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/MIMEText.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/Message.py
-lib/%%PYTHON_VERSION%%/site-packages/email/Message.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/Message.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/Parser.py
-lib/%%PYTHON_VERSION%%/site-packages/email/Parser.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/Parser.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/Utils.py
-lib/%%PYTHON_VERSION%%/site-packages/email/Utils.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/Utils.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/__init__.py
-lib/%%PYTHON_VERSION%%/site-packages/email/__init__.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/__init__.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/_compat21.py
-lib/%%PYTHON_VERSION%%/site-packages/email/_compat21.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/_compat21.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/_compat22.py
-lib/%%PYTHON_VERSION%%/site-packages/email/_parseaddr.py
-lib/%%PYTHON_VERSION%%/site-packages/email/_parseaddr.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/_parseaddr.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/base64MIME.py
-lib/%%PYTHON_VERSION%%/site-packages/email/base64MIME.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/base64MIME.pyo
-lib/%%PYTHON_VERSION%%/site-packages/email/quopriMIME.py
-lib/%%PYTHON_VERSION%%/site-packages/email/quopriMIME.pyc
-lib/%%PYTHON_VERSION%%/site-packages/email/quopriMIME.pyo
-@dirrm lib/%%PYTHON_VERSION%%/site-packages/email
+%%PYTHON_SITELIBDIR%%/email/Charset.py
+%%PYTHON_SITELIBDIR%%/email/Charset.pyc
+%%PYTHON_SITELIBDIR%%/email/Charset.pyo
+%%PYTHON_SITELIBDIR%%/email/Encoders.py
+%%PYTHON_SITELIBDIR%%/email/Encoders.pyc
+%%PYTHON_SITELIBDIR%%/email/Encoders.pyo
+%%PYTHON_SITELIBDIR%%/email/Errors.py
+%%PYTHON_SITELIBDIR%%/email/Errors.pyc
+%%PYTHON_SITELIBDIR%%/email/Errors.pyo
+%%PYTHON_SITELIBDIR%%/email/FeedParser.py
+%%PYTHON_SITELIBDIR%%/email/FeedParser.pyc
+%%PYTHON_SITELIBDIR%%/email/FeedParser.pyo
+%%PYTHON_SITELIBDIR%%/email/Generator.py
+%%PYTHON_SITELIBDIR%%/email/Generator.pyc
+%%PYTHON_SITELIBDIR%%/email/Generator.pyo
+%%PYTHON_SITELIBDIR%%/email/Header.py
+%%PYTHON_SITELIBDIR%%/email/Header.pyc
+%%PYTHON_SITELIBDIR%%/email/Header.pyo
+%%PYTHON_SITELIBDIR%%/email/Iterators.py
+%%PYTHON_SITELIBDIR%%/email/Iterators.pyc
+%%PYTHON_SITELIBDIR%%/email/Iterators.pyo
+%%PYTHON_SITELIBDIR%%/email/MIMEAudio.py
+%%PYTHON_SITELIBDIR%%/email/MIMEAudio.pyc
+%%PYTHON_SITELIBDIR%%/email/MIMEAudio.pyo
+%%PYTHON_SITELIBDIR%%/email/MIMEBase.py
+%%PYTHON_SITELIBDIR%%/email/MIMEBase.pyc
+%%PYTHON_SITELIBDIR%%/email/MIMEBase.pyo
+%%PYTHON_SITELIBDIR%%/email/MIMEImage.py
+%%PYTHON_SITELIBDIR%%/email/MIMEImage.pyc
+%%PYTHON_SITELIBDIR%%/email/MIMEImage.pyo
+%%PYTHON_SITELIBDIR%%/email/MIMEMessage.py
+%%PYTHON_SITELIBDIR%%/email/MIMEMessage.pyc
+%%PYTHON_SITELIBDIR%%/email/MIMEMessage.pyo
+%%PYTHON_SITELIBDIR%%/email/MIMEMultipart.py
+%%PYTHON_SITELIBDIR%%/email/MIMEMultipart.pyc
+%%PYTHON_SITELIBDIR%%/email/MIMEMultipart.pyo
+%%PYTHON_SITELIBDIR%%/email/MIMENonMultipart.py
+%%PYTHON_SITELIBDIR%%/email/MIMENonMultipart.pyc
+%%PYTHON_SITELIBDIR%%/email/MIMENonMultipart.pyo
+%%PYTHON_SITELIBDIR%%/email/MIMEText.py
+%%PYTHON_SITELIBDIR%%/email/MIMEText.pyc
+%%PYTHON_SITELIBDIR%%/email/MIMEText.pyo
+%%PYTHON_SITELIBDIR%%/email/Message.py
+%%PYTHON_SITELIBDIR%%/email/Message.pyc
+%%PYTHON_SITELIBDIR%%/email/Message.pyo
+%%PYTHON_SITELIBDIR%%/email/Parser.py
+%%PYTHON_SITELIBDIR%%/email/Parser.pyc
+%%PYTHON_SITELIBDIR%%/email/Parser.pyo
+%%PYTHON_SITELIBDIR%%/email/Utils.py
+%%PYTHON_SITELIBDIR%%/email/Utils.pyc
+%%PYTHON_SITELIBDIR%%/email/Utils.pyo
+%%PYTHON_SITELIBDIR%%/email/__init__.py
+%%PYTHON_SITELIBDIR%%/email/__init__.pyc
+%%PYTHON_SITELIBDIR%%/email/__init__.pyo
+%%PYTHON_SITELIBDIR%%/email/_parseaddr.py
+%%PYTHON_SITELIBDIR%%/email/_parseaddr.pyc
+%%PYTHON_SITELIBDIR%%/email/_parseaddr.pyo
+%%PYTHON_SITELIBDIR%%/email/base64MIME.py
+%%PYTHON_SITELIBDIR%%/email/base64MIME.pyc
+%%PYTHON_SITELIBDIR%%/email/base64MIME.pyo
+%%PYTHON_SITELIBDIR%%/email/quopriMIME.py
+%%PYTHON_SITELIBDIR%%/email/quopriMIME.pyc
+%%PYTHON_SITELIBDIR%%/email/quopriMIME.pyo
+@dirrm %%PYTHON_SITELIBDIR%%/email