diff -urN /usr/ports/audio/xmms-crossfade/Makefile xmms-crossfade/Makefile
--- /usr/ports/audio/xmms-crossfade/Makefile	Tue Nov 15 09:48:06 2005
+++ xmms-crossfade/Makefile	Tue Jan  3 00:12:41 2006
@@ -5,32 +5,32 @@
 # $FreeBSD: ports/audio/xmms-crossfade/Makefile,v 1.24 2005/11/15 06:48:06 ade Exp $
 #
 
-PORTNAME=	xmms-crossfade
-PORTVERSION=	0.3.8
+PORTNAME=	crossfade
+PORTVERSION=	0.3.10
 CATEGORIES=	audio
-MASTER_SITES=	http://www.eisenlohr.org/xmms-crossfade/
+MASTER_SITES=	http://www.eisenlohr.org/xmms-crossfade/ \
+		ftp://ftp.dvo.ru/pub/distfiles/ \
+		ftp://ftp.org.kemsu.ru/gentoo/distfiles/ \
+		ftp://unix.miet.ru/pub/linux/gentoo/distfiles/
+PKGNAMEPREFIX?=	xmms-
+DISTNAME=	xmms-${PORTNAME}-${PORTVERSION}
 
-MAINTAINER=	pat@FreeBSD.org
-COMMENT=	XMMS Output plugin for crossfading between songs
+MAINTAINER?=	pat@FreeBSD.org
+COMMENT?=	A Crossfading/Gapless Plugin for XMMS
 
-LIB_DEPENDS=	xmms.4:${PORTSDIR}/multimedia/xmms
+LIB_DEPENDS?=	xmms.4:${PORTSDIR}/multimedia/xmms
 
 USE_X_PREFIX=	yes
-USE_AUTOTOOLS=	libtool:13:inc
-USE_GMAKE=	yes
-USE_GNOME=	gtk12
-INSTALLS_SHLIB=	yes
-USE_REINPLACE=	yes
+HAS_CONFIGURE=	yes
+PLUGDIR?=	lib/xmms/Output
+PORTDOCS=	README
+PLIST_FILES=	${PLUGDIR}/libcrossfade.so
 
-pre-patch:
-	${REINPLACE_CMD} "s|@libdir@|${PREFIX}/lib/xmms/Output|" \
-		${WRKSRC}/Makefile.in
-
-post-install:
+do-install:
+	${INSTALL_PROGRAM} ${WRKSRC}/.libs/libcrossfade.so ${PREFIX}/${PLUGDIR}
 .ifndef(NOPORTDOCS)
-	@${INSTALL} -d -o ${SHAREOWN} -g ${SHAREGRP} -m ${SHAREMODE} \
-		${PREFIX}/share/doc/${PORTNAME}
-	@${INSTALL_DATA} ${WRKSRC}/README ${PREFIX}/share/doc/${PORTNAME}
+	${INSTALL_DATA} -d ${DOCSDIR}
+	${INSTALL_DATA} ${WRKSRC}/README ${DOCSDIR}/
 .endif # !NOPORTDOCS
 
 .include <bsd.port.mk>
diff -urN /usr/ports/audio/xmms-crossfade/distinfo xmms-crossfade/distinfo
--- /usr/ports/audio/xmms-crossfade/distinfo	Sun Nov 21 21:43:38 2004
+++ xmms-crossfade/distinfo	Sun Jan  1 20:53:39 2006
@@ -1,2 +1,3 @@
-MD5 (xmms-crossfade-0.3.8.tar.gz) = fbfff1bff29118309b0a02c713b13d50
-SIZE (xmms-crossfade-0.3.8.tar.gz) = 435761
+MD5 (xmms-crossfade-0.3.10.tar.gz) = 43c53b522545253e2bfeee7a0c0dfde3
+SHA256 (xmms-crossfade-0.3.10.tar.gz) = 47bf100674a179799e80030bf0da68bce1b10b5427a62e0a9de108d40bac2aaf
+SIZE (xmms-crossfade-0.3.10.tar.gz) = 476290
diff -urN /usr/ports/audio/xmms-crossfade/files/patch-ltmain.sh xmms-crossfade/files/patch-ltmain.sh
--- /usr/ports/audio/xmms-crossfade/files/patch-ltmain.sh	Sat Apr 26 00:37:53 2003
+++ xmms-crossfade/files/patch-ltmain.sh	Thu Jan  1 03:00:00 1970
@@ -1,16 +0,0 @@
---- ltmain.sh.orig	Fri Apr 12 08:48:14 2002
-+++ ltmain.sh	Fri Apr 25 16:34:45 2003
-@@ -4224,11 +4224,13 @@
- 	  IFS="$save_ifs"
- 	fi
- 
-+	if /usr/bin/false; then
- 	# Install the pseudo-library for information purposes.
- 	name=`$echo "X$file" | $Xsed -e 's%^.*/%%'`
- 	instname="$dir/$name"i
- 	$show "$install_prog $instname $destdir/$name"
- 	$run eval "$install_prog $instname $destdir/$name" || exit $?
-+	fi
- 
- 	# Maybe install the static library, too.
- 	test -n "$old_library" && staticlibs="$staticlibs $dir/$old_library"
diff -urN /usr/ports/audio/xmms-crossfade/files/patch-rate.c xmms-crossfade/files/patch-rate.c
--- /usr/ports/audio/xmms-crossfade/files/patch-rate.c	Mon Nov 22 11:55:09 2004
+++ xmms-crossfade/files/patch-rate.c	Thu Jan  1 03:00:00 1970
@@ -1,24 +0,0 @@
---- rate.c.orig	Fri Sep 24 11:02:14 2004
-+++ rate.c	Mon Nov 22 09:44:42 2004
-@@ -157,6 +157,10 @@
-   struct timeval tv;
-   glong dt;
- 
-+  gpointer data;
-+  gint isamp, emitted = 0;
-+  gint16 *out, *in;
-+
-   /* print clipping warnings at most once every second : */
-   gettimeofday(&tv, NULL);
-   dt = (tv.tv_sec - rc->vc.tv_last.tv_sec)  * 1000
-@@ -254,9 +258,7 @@
- 
- #else /* rustic resampling */
- 
--  gpointer data;
--  gint isamp, emitted = 0;
--  gint16 *out, *in = *buffer;
-+  in = *buffer;
- 
-   /* some sanity checks */
-   if(length & 3) {
diff -urN /usr/ports/audio/xmms-crossfade/files/patch-volume.c xmms-crossfade/files/patch-volume.c
--- /usr/ports/audio/xmms-crossfade/files/patch-volume.c	Mon Nov 22 11:55:09 2004
+++ xmms-crossfade/files/patch-volume.c	Thu Jan  1 03:00:00 1970
@@ -1,16 +0,0 @@
---- volume.c.orig	Tue Sep 14 18:38:00 2004
-+++ volume.c	Mon Nov 22 09:46:55 2004
-@@ -81,11 +81,12 @@
- 
- gfloat volume_compute_factor(gint percent, gint dB_range)
- {
-+  gfloat dB;
-   if(percent>=100)
-     return 1;
-   if(percent<=0)
-     return 0;
--  gfloat dB  = (percent-100)/100.0*dB_range; 
-+  dB  = (percent-100)/100.0*dB_range; 
-   return pow(10, dB/20);
- }
- 
diff -urN /usr/ports/audio/xmms-crossfade/pkg-descr xmms-crossfade/pkg-descr
--- /usr/ports/audio/xmms-crossfade/pkg-descr	Sun Nov 21 21:43:38 2004
+++ xmms-crossfade/pkg-descr	Sun Jan  1 22:23:55 2006
@@ -1,4 +1,13 @@
-An XMMS Output plugin that allows you to crossfade between different tunes.
+A Crossfading/Gapless Plugin for XMMS featuring:
+
+    * Crossfading
+    * Fadein/Fadeout
+    * Continuous output
+    * Gap-Killer
+    * Automatic detection of live albums
+    * High quality
+    * Secondary effect plugin
+    * Compatibility with bmp and audacious
 
 WWW: http://www.eisenlohr.org/xmms-crossfade/index.html
 Author: Peter Eisenlohr <p.eisenlohr@gmx.net>
diff -urN /usr/ports/audio/xmms-crossfade/pkg-plist xmms-crossfade/pkg-plist
--- /usr/ports/audio/xmms-crossfade/pkg-plist	Tue Oct 21 15:24:02 2003
+++ xmms-crossfade/pkg-plist	Thu Jan  1 03:00:00 1970
@@ -1,3 +0,0 @@
-lib/xmms/Output/libcrossfade.so
-%%PORTDOCS%%%%DOCSDIR%%/README
-%%PORTDOCS%%@dirrm %%DOCSDIR%%