Index: Makefile
===================================================================
RCS file: /home/ncvs/ports/net/citrix_ica/Makefile,v
retrieving revision 1.44
diff -u -r1.44 Makefile
--- Makefile	23 Jan 2007 08:13:08 -0000	1.44
+++ Makefile	14 Mar 2007 02:48:11 -0000
@@ -6,8 +6,7 @@
 #
 
 PORTNAME=	citrix_ica
-PORTVERSION=	9.00
-PORTREVISION=	4
+PORTVERSION=	10.0
 CATEGORIES=	net comms linux
 MASTER_SITES=
 DISTNAME=	${PORTNAME}-linuxx86-${PORTVERSION}
@@ -51,12 +50,11 @@
 do-fetch:
 .if !exists(${DISTDIR}/${DISTNAME}${EXTRACT_SUFX})
 	@${ECHO} ""
-	@${ECHO} "You have to fetch the file manually after reading and"
-	@${ECHO} "agreeing to the license at:"
+	@${ECHO} "You have to fetch the file manually from"
 	@${ECHO} ""
-	@${ECHO} "http://www.citrix.com/download/bin/license.asp?client=linux"
+	@${ECHO} "http://www.citrix.com/English/SS/downloads/details.asp?dID=2755&downloadID=3323&pID=186"
 	@${ECHO} ""
-	@${ECHO} "Once linuxx86.tar.gz has been downloaded move it to"
+	@${ECHO} "Once en.linuxx86.tar.gz has been downloaded move it to"
 	@${ECHO} "${DISTDIR}/${DISTNAME}${EXTRACT_SUFX} and restart the build."
 	@${ECHO} ""
 	@${FALSE}
Index: distinfo
===================================================================
RCS file: /home/ncvs/ports/net/citrix_ica/distinfo,v
retrieving revision 1.15
diff -u -r1.15 distinfo
--- distinfo	29 May 2006 13:06:15 -0000	1.15
+++ distinfo	14 Mar 2007 02:48:11 -0000
@@ -1,3 +1,3 @@
-MD5 (citrix_ica-linuxx86-9.00.tar.gz) = df3194f942e03b8c700907a3406aef76
-SHA256 (citrix_ica-linuxx86-9.00.tar.gz) = 7a8f66d12b9b715910e8760cd30d921c182d9789a03b0b6e243a3062a9afa9f9
-SIZE (citrix_ica-linuxx86-9.00.tar.gz) = 1356273
+MD5 (citrix_ica-linuxx86-10.0.tar.gz) = 7d5286e919297823b572a80ed417af71
+SHA256 (citrix_ica-linuxx86-10.0.tar.gz) = 2777b4b3b4d7371399cd45bde16d1943df86222882d032e4fcef661089795078
+SIZE (citrix_ica-linuxx86-10.0.tar.gz) = 1795232
Index: pkg-plist
===================================================================
RCS file: /home/ncvs/ports/net/citrix_ica/pkg-plist,v
retrieving revision 1.10
diff -u -r1.10 pkg-plist
--- pkg-plist	26 May 2005 15:21:30 -0000	1.10
+++ pkg-plist	14 Mar 2007 02:48:11 -0000
@@ -1,35 +1,36 @@
 @unexec for dir in /usr/local/libexec/netscape /usr/local/libexec/netscape-linux /usr/local/netscape /usr/local/netscape-linux /usr/local/lib/netscape /usr/local/lib/netscape-linux %%MOZILLA_HOME%% %D/lib/netscape-linux; do if [ -f ${dir}/mime.types ]; then (/bin/cat ${dir}/mime.types | /usr/bin/grep -v "application/x-ica" > ${dir}/mime.types.tmp; mv ${dir}/mime.types.tmp ${dir}/mime.types); fi ; done
 @unexec for dir in /usr/local/libexec/netscape /usr/local/libexec/netscape-linux /usr/local/netscape /usr/local/netscape-linux /usr/local/lib/netscape /usr/local/lib/netscape-linux %%MOZILLA_HOME%% %D/lib/netscape-linux; do if [ -f ${dir}/mailcap ]; then (/bin/cat ${dir}/mailcap | /usr/bin/grep -v "application/x-ica" > ${dir}/mailcap.tmp; /bin/mv ${dir}/mailcap.tmp ${dir}/mailcap); fi ; done
 @unexec for dir in /usr/local/libexec/netscape /usr/local/libexec/netscape-linux /usr/local/netscape /usr/local/netscape-linux /usr/local/lib/netscape /usr/local/lib/netscape-linux %%MOZILLA_HOME%% %D/lib/netscape-linux; do if [ -e ${dir}/plugins/npica.so ]; then (/bin/rm ${dir}/plugins/npica.so); fi ; done
-ICAClient/.config/appsrv.ini
-ICAClient/.config/keyboard.ini
-ICAClient/.config/module.ini
-ICAClient/.config/wfclient.ini
-ICAClient/libctxssl.so
-ICAClient/Npica
-ICAClient/Npica.ad
 ICAClient/CHARICONV.DLL
 ICAClient/NDS.DLL
+ICAClient/Npica
+ICAClient/Npica.ad
 ICAClient/PDCRYPT1.DLL
 ICAClient/PDCRYPT2.DLL
 ICAClient/TW1.DLL
-ICAClient/VDCM.DLL
+ICAClient/VDEUEM.DLL
 ICAClient/VDSCARD.DLL
-ICAClient/Wfcmgr
-ICAClient/Wfcmgr.ad
-ICAClient/Wfica
-ICAClient/Wfica.ad
+ICAClient/VDSPMIKE.DLL
 ICAClient/config/.server
+ICAClient/config/All_Regions.ini
+ICAClient/config/Trusted_Region.ini
+ICAClient/config/Unknown_Region.ini
+ICAClient/config/Untrusted_Region.ini
 ICAClient/config/appsrv.ini
+ICAClient/config/canonicalization.ini
 ICAClient/config/module.ini
+ICAClient/config/regions.ini
+ICAClient/config/usertemplate/All_Regions.ini
+ICAClient/config/usertemplate/Trusted_Region.ini
+ICAClient/config/usertemplate/Unknown_Region.ini
+ICAClient/config/usertemplate/Untrusted_Region.ini
 ICAClient/config/wfclient.ini
-ICAClient/desktop/wfcmgr.desktop
 ICAClient/desktop/Citrix_PNA.desktop
+ICAClient/desktop/wfcmgr.desktop
 ICAClient/eula.txt
 ICAClient/help/index.htm
-ICAClient/icons/citrix16.xpm
-ICAClient/icons/citrix32.xpm
-ICAClient/icons/citrix48.xpm
+ICAClient/icons/manager.xpm
+ICAClient/icons/session.xpm
 ICAClient/install.txt
 ICAClient/keyboard/age2.kbd
 ICAClient/keyboard/agex2.kbd
@@ -62,8 +63,8 @@
 ICAClient/keyboard/hpusps2.kbd
 ICAClient/keyboard/ibm.kbd
 ICAClient/keyboard/keyboard.ini
-ICAClient/keyboard/linux.kbd
 ICAClient/keyboard/linux-ja.kbd
+ICAClient/keyboard/linux.kbd
 ICAClient/keyboard/mac101.kbd
 ICAClient/keyboard/ncdn-101.kbd
 ICAClient/keyboard/ncdn-102.kbd
@@ -95,11 +96,16 @@
 ICAClient/keystore/cacerts/Class3PCA_G2_v2.crt
 ICAClient/keystore/cacerts/Class4PCA_G2_v2.crt
 ICAClient/keystore/cacerts/GTECTGlobalRoot.crt
-ICAClient/keystore/cacerts/GTECTRoot.crt
 ICAClient/keystore/cacerts/Pcs3ss_v4.crt
 ICAClient/keystore/cacerts/SecureServer.crt
-ICAClient/nls/C
+ICAClient/libctxssl.so
+ICAClient/nls/en/UTF-8/Wfcmgr
+ICAClient/nls/en/UTF-8/Wfica
+ICAClient/nls/en/UTF-8/pna.nls
+ICAClient/nls/en/Wfcmgr
+ICAClient/nls/en/Wfica
 ICAClient/nls/en/pna.nls
+ICAClient/nls/C
 ICAClient/npica.so
 ICAClient/pkginf/F.core.linuxx86
 ICAClient/pkginf/Ver.core.linuxx86
@@ -112,8 +118,8 @@
 ICAClient/util/hinst
 ICAClient/util/icalicense.sh
 ICAClient/util/nslaunch
-ICAClient/util/pacexec
 ICAClient/util/pac.js
+ICAClient/util/pacexec
 ICAClient/util/xcapture
 ICAClient/wfcmgr
 ICAClient/wfica
@@ -121,19 +127,17 @@
 ICAClient/wfica_assoc.sh
 bin/wfcmgr
 bin/wfica
-@dirrm ICAClient/.config
-@dirrm ICAClient/cache/zlcache
-@unexec find %D/ICAClient/cache/ -type f -exec rm {} \; 2>&1 >/dev/null || true
-@dirrm ICAClient/cache
-@dirrm ICAClient/config
-@dirrm ICAClient/desktop
-@dirrm ICAClient/help
-@dirrm ICAClient/icons
-@dirrm ICAClient/keyboard
-@dirrm ICAClient/keystore/cacerts
-@dirrm ICAClient/keystore
+@dirrm ICAClient/util
+@dirrm ICAClient/pkginf
+@dirrm ICAClient/nls/en/UTF-8
 @dirrm ICAClient/nls/en
 @dirrm ICAClient/nls
-@dirrm ICAClient/pkginf
-@dirrm ICAClient/util
+@dirrm ICAClient/keystore/cacerts
+@dirrm ICAClient/keystore
+@dirrm ICAClient/keyboard
+@dirrm ICAClient/icons
+@dirrm ICAClient/help
+@dirrm ICAClient/desktop
+@dirrm ICAClient/config/usertemplate
+@dirrm ICAClient/config
 @dirrm ICAClient
Index: files/patch-linuxx86::hinst
===================================================================
RCS file: /home/ncvs/ports/net/citrix_ica/files/patch-linuxx86::hinst,v
retrieving revision 1.8
diff -u -r1.8 patch-linuxx86::hinst
--- files/patch-linuxx86::hinst	26 May 2005 15:21:30 -0000	1.8
+++ files/patch-linuxx86::hinst	14 Mar 2007 02:48:11 -0000
@@ -1,6 +1,6 @@
---- linuxx86/hinst.orig	Fri Apr  8 19:52:59 2005
-+++ linuxx86/hinst	Wed May 18 14:07:10 2005
-@@ -75,7 +75,7 @@
+--- linuxx86/hinst.orig	Tue Oct 31 07:07:08 2006
++++ linuxx86/hinst	Mon Mar  5 12:26:02 2007
+@@ -86,7 +86,7 @@
  fi
  
  #  Install in here by default.
@@ -9,53 +9,25 @@
  
  #  Default CDROM mount point
  DefaultCDSourceDir=/cdrom
-@@ -2166,7 +2166,7 @@
+@@ -2217,7 +2217,7 @@
+ 	then
+ 		:
+ 	else
+-		/bin/false
++		/usr/bin/false
+ 		return 
+ 	fi
  
- 	# rm -f $m_filename $mf_filename $o_filename $of_filename
+@@ -2263,7 +2263,7 @@
+ 		fi
+ 	fi
  
 -	/bin/true
 +	/usr/bin/true
  }
  
  ###############################################################################
-@@ -2217,10 +2217,34 @@
- #
- ###############################################################################
- 
-+check_for_ns() {
-+	BIN=`/usr/bin/file $1/plugins/libnullplugin.so | /usr/bin/awk '{print $11}'`
-+	case ${BIN} in
-+	\(SYSV\),)
-+		NETSCAPE_DIR="$1"
-+		PLUGIN_PATH="$s/plugins"
-+		FOUND_NS="TRUE"
-+	esac
-+}
-+
-+NSCP="/usr/local/libexec/netscape \
-+	/usr/local/libexec/netscape-linux \
-+	/usr/local/netscape \
-+	/usr/local/netscape-linux \
-+	/usr/local/lib/netscape \
-+	/usr/local/lib/netscape-linux \
-+	/usr/local/lib/linux-mozilla \
-+	/usr/local/lib/mozilla \
-+	$MOZILLA_HOME"
-+
-+for dir in ${NSCP}; do
-+	if [ -e $dir/plugins/libnullplugin.so ]; then
-+		check_for_ns $dir;
-+	fi
-+done
-+
- INST_DIR=$ICAInstDir
- TMP_NAME=/tmp/ICAnetscape.$$
--NETSCAPE_DIR="/usr/local/lib/netscape"
--PLUGIN_PATH="/usr/local/netscape/plugins"
- PLUGIN_NAME=npica.so
- PLUGIN_CLASS=ICAClObj.class
- MAILCAP_FILE=mailcap
-@@ -2293,26 +2317,19 @@
+@@ -2387,26 +2387,19 @@
  
  netscape_integrate()
  {
@@ -87,7 +59,7 @@
  	user_prompt $integrate_netscape2
   	getyesno $INSTALLER_NO
  	if [ "$ANSWER" = "$INSTALLER_YES" ]
-@@ -2321,9 +2338,9 @@
+@@ -2415,9 +2408,9 @@
  	else
    		user_echo $integrate_netscape6
  	fi
@@ -99,68 +71,3 @@
      # Create utility script files in install root.
      create_wfica_script
      create_wfica_assoc_script
-@@ -2953,55 +2970,6 @@
-     echo "$BINDIR"
- }
- 
--################################################################################
--#
--# find_browsers
--#
--# Returns a list of directories containing new-style mozilla-based browsers 
--# that may be launched by files on the $PATH.
--#
--################################################################################
--find_browsers()
--{
--    PROGS="netscape mozilla firefox"
--    DIST_BIN_DIR=""
--    STANDARD_DIRS="/usr/local/netscape /usr/local/mozilla"
--
--    case $op_system in
--       SunOS) if
--                 /usr/bin/pkginfo -q $SOLARIS_PACKAGE_NAME
--              then
--                 relocation_base=`/usr/bin/pkginfo -r $SOLARIS_PACKAGE_NAME`
--                 STANDARD_DIRS="$STANDARD_DIRS $relocation_base/$SOLARIS_PACKAGE_DIRECTORY"
--
--                 # N.B. the Netscape 7 packages for SOLARIS 9 have an extended installation path built-in!
--                 case `uname -r` in
--                    5.9) STANDARD_DIRS="$STANDARD_DIRS $relocation_base/dt/appconfig/$SOLARIS_PACKAGE_DIRECTORY"
--                         ;;
--                    *)   ;;
--                 esac
--              fi;;
--       *) ;;
--    esac
--
--    for d in `echo $PATH | sed "s/:/ /g"` $STANDARD_DIRS
--    do
--	echo $d
--    done | sort -u | while read d
--    do 
--	for p in $PROGS
--	do    
--	    # Find the each instance of each named browser
--	    PROG=$d/$p
--	    if test -f $PROG
--	    then
--		# Where is the installation and what version is it?
--		find_extra_bin_dirs $PROG
--	    fi
--	done
--    done | sort -u
--}
--
- BROWSER_LIST_KEY="BROWSER_DIR"
- ################################################################################
- #
-@@ -3226,6 +3194,8 @@
- wfcmgr_ja_NAME='MetaFrame UNIX クライアント'
- 
- DEFAULT_GNOME_TARGET_DIRS="/usr/share/applications \
-+                           /usr/local/share/applnk/Internet \
-+                           /usr/local/share/applnk/Networking \
-                            /etc/opt/gnome/SuSE/Internet"
- DEFAULT_KDE_TARGET_DIRS="/usr/share/applnk/Applications \
-                         /usr/share/applnk-redhat/Internet \