Index: Makefile
===================================================================
RCS file: /home/pcvs/ports/devel/py-lxml/Makefile,v
retrieving revision 1.8
diff -u -r1.8 Makefile
--- Makefile	10 Jan 2008 17:59:03 -0000	1.8
+++ Makefile	11 Jan 2008 15:09:34 -0000
@@ -2,12 +2,11 @@
 # Date created:				Feb 18, 2007
 # Whom:					Robert Gogolok <gogo@cs.uni-sb.de>
 #
-# $FreeBSD: ports/devel/py-lxml/Makefile,v 1.8 2008/01/10 17:59:03 bsam Exp $
+# $FreeBSD: ports/devel/py-lxml/Makefile,v 1.7 2008/01/06 12:25:40 bsam Exp $
 #
 
 PORTNAME=	lxml
-PORTVERSION=	1.2.1
-PORTREVISION=	1
+PORTVERSION=	1.3.6
 CATEGORIES=	devel python
 MASTER_SITES=	http://codespeak.net/lxml/ \
 		http://cheeseshop.python.org/packages/source/l/lxml/
Index: distinfo
===================================================================
RCS file: /home/pcvs/ports/devel/py-lxml/distinfo,v
retrieving revision 1.3
diff -u -r1.3 distinfo
--- distinfo	13 Mar 2007 02:39:58 -0000	1.3
+++ distinfo	11 Jan 2008 15:09:34 -0000
@@ -1,3 +1,3 @@
-MD5 (lxml-1.2.1.tgz) = fcf68c4fe91953960c2a547effd5e1f5
-SHA256 (lxml-1.2.1.tgz) = 6ef9688ea5e3e5ff4bdc933cae5e7d44ebdd143ac1f72b0aa72eb24b692b4eca
-SIZE (lxml-1.2.1.tgz) = 678340 
+MD5 (lxml-1.3.6.tgz) = a66f3b9669ee4fd2f98b6be920ac583c
+SHA256 (lxml-1.3.6.tgz) = 91258c3ba06dd07036533af2377b6adcc12b043d0f4bb98be8daebe4f4befea4
+SIZE (lxml-1.3.6.tgz) = 1253422
Index: pkg-plist
===================================================================
RCS file: /home/pcvs/ports/devel/py-lxml/pkg-plist,v
retrieving revision 1.5
diff -u -r1.5 pkg-plist
--- pkg-plist	10 Jan 2008 17:59:03 -0000	1.5
+++ pkg-plist	11 Jan 2008 15:09:34 -0000
@@ -13,14 +13,24 @@
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/_elementpath.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/_elementpath.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/_elementpath.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/builder.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/builder.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/builder.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/etree.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/etree.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/etree.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/etree.so
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/htmlbuilder.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/htmlbuilder.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/htmlbuilder.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/objectify.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/objectify.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/objectify.pyo
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/objectify.so
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/pyclasslookup.py
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/pyclasslookup.pyc
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/pyclasslookup.pyo
+%%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/pyclasslookup.so
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/sax.py
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/sax.pyc
 %%PYTHON_SITELIBDIR%%/%%PYEASYINSTALL_EGG%%/lxml/sax.pyo
@@ -39,11 +49,15 @@
 %%PORTDOCS%%%%DOCSDIR%%/doc/compatibility.txt
 %%PORTDOCS%%%%DOCSDIR%%/doc/element_classes.txt
 %%PORTDOCS%%%%DOCSDIR%%/doc/extensions.txt
+%%PORTDOCS%%%%DOCSDIR%%/doc/parsing.txt
+%%PORTDOCS%%%%DOCSDIR%%/doc/tutorial.txt
+%%PORTDOCS%%%%DOCSDIR%%/doc/validation.txt
+%%PORTDOCS%%%%DOCSDIR%%/doc/xpathxslt.txt
 %%PORTDOCS%%%%DOCSDIR%%/doc/html/FAQ.html
 %%PORTDOCS%%%%DOCSDIR%%/doc/html/api.html
 %%PORTDOCS%%%%DOCSDIR%%/doc/html/build.html
 %%PORTDOCS%%%%DOCSDIR%%/doc/html/capi.html
-%%PORTDOCS%%%%DOCSDIR%%/doc/html/changes-1.2.1.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/changes-1.3.6.html
 %%PORTDOCS%%%%DOCSDIR%%/doc/html/compatibility.html
 %%PORTDOCS%%%%DOCSDIR%%/doc/html/element_classes.html
 %%PORTDOCS%%%%DOCSDIR%%/doc/html/extensions.html
@@ -51,11 +65,155 @@
 %%PORTDOCS%%%%DOCSDIR%%/doc/html/installation.html
 %%PORTDOCS%%%%DOCSDIR%%/doc/html/intro.html
 %%PORTDOCS%%%%DOCSDIR%%/doc/html/objectify.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/parsing.html
 %%PORTDOCS%%%%DOCSDIR%%/doc/html/performance.html
 %%PORTDOCS%%%%DOCSDIR%%/doc/html/pubkey.asc
 %%PORTDOCS%%%%DOCSDIR%%/doc/html/resolvers.html
 %%PORTDOCS%%%%DOCSDIR%%/doc/html/sax.html
 %%PORTDOCS%%%%DOCSDIR%%/doc/html/style.css
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/tutorial.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/validation.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/xpathxslt.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/api-objects.txt
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/class-tree.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/epydoc.css
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/exceptions.AssertionError-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/frames.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/help.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/identifier-index.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/index.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml-pysrc.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.ElementInclude-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.ElementInclude-pysrc.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.ElementInclude.FatalIncludeError-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml._elementpath-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml._elementpath-pysrc.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml._elementpath.Path-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml._elementpath.xpath_descendant_or_self-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.builder-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.builder-pysrc.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.builder.ElementMaker-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.etree-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.htmlbuilder-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.htmlbuilder-pysrc.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.objectify-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.pyclasslookup-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.pyclasslookup.PythonElementClassLookup-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.sax-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.sax-pysrc.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.sax.ElementTreeContentHandler-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.sax.ElementTreeProducer-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.sax.SaxError-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests-pysrc.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.common_imports-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.common_imports-pysrc.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.common_imports.HelperTestCase-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.common_imports.LargeFileLike-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.common_imports.SillyFileLike-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_classlookup-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_classlookup-pysrc.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_classlookup.ClassLookupTestCase-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_dtd-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_dtd-pysrc.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_dtd.ETreeDtdTestCase-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_elementtree-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_elementtree-pysrc.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_elementtree.ETreeTestCase-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_elementtree.ETreeTestCaseBase-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_elementtree.ElementTreeTestCase-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_errors-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_errors-pysrc.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_errors.ErrorTestCase-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_etree-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_etree-pysrc.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_etree.ETreeC14NTestCase-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_etree.ETreeOnlyTestCase-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_etree.ETreeXIncludeTestCase-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_etree.ElementIncludeTestCase-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_etree.XIncludeTestCase-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_htmlparser-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_htmlparser-pysrc.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_htmlparser.HtmlParserTestCase-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_io-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_io-pysrc.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_io.ETreeIOTestCase-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_io.ElementTreeIOTestCase-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_io.IOTestCaseBase-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_nsclasses-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_nsclasses-pysrc.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_nsclasses.ETreeNamespaceClassesTestCase-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_nsclasses.ETreeNamespaceClassesTestCase.bluff_class-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_nsclasses.ETreeNamespaceClassesTestCase.default_class-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_nsclasses.ETreeNamespaceClassesTestCase.maeh_class-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_objectify-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_objectify-pysrc.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_objectify.ObjectifyTestCase-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_pyclasslookup-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_pyclasslookup-pysrc.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_pyclasslookup.PyClassLookupTestCase-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_relaxng-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_relaxng-pysrc.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_relaxng.ETreeRelaxNGTestCase-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_sax-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_sax-pysrc.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_sax.ETreeSaxTestCase-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_unicode-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_unicode-pysrc.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_unicode.UnicodeTestCase-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_xmlschema-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_xmlschema-pysrc.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_xmlschema.ETreeXMLSchemaTestCase-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_xpathevaluator-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_xpathevaluator-pysrc.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_xpathevaluator.ETreeETXPathClassTestCase-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_xpathevaluator.ETreeXPathClassTestCase-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_xpathevaluator.ETreeXPathTestCase-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_xslt-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_xslt-pysrc.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/lxml.tests.test_xslt.ETreeXSLTTestCase-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/module-tree.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/redirect.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-everything.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-lxml-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-lxml.ElementInclude-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-lxml._elementpath-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-lxml.builder-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-lxml.etree-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-lxml.htmlbuilder-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-lxml.objectify-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-lxml.pyclasslookup-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-lxml.sax-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-lxml.tests-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-lxml.tests.common_imports-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-lxml.tests.test_classlookup-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-lxml.tests.test_dtd-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-lxml.tests.test_elementtree-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-lxml.tests.test_errors-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-lxml.tests.test_etree-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-lxml.tests.test_htmlparser-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-lxml.tests.test_io-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-lxml.tests.test_nsclasses-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-lxml.tests.test_objectify-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-lxml.tests.test_pyclasslookup-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-lxml.tests.test_relaxng-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-lxml.tests.test_sax-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-lxml.tests.test_unicode-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-lxml.tests.test_xmlschema-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-lxml.tests.test_xpathevaluator-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-lxml.tests.test_xslt-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc-xml.etree.ElementTree-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/toc.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/xml.etree.ElementTree-module.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/xml.etree.ElementTree-pysrc.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/xml.etree.ElementTree.ElementTree-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/xml.etree.ElementTree.QName-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/xml.etree.ElementTree.TreeBuilder-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/xml.etree.ElementTree.XMLTreeBuilder-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/xml.etree.ElementTree._ElementInterface-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/xml.etree.ElementTree._SimpleElementPath-class.html
+%%PORTDOCS%%%%DOCSDIR%%/doc/html/api/xml.etree.ElementTree.iterparse-class.html
 %%PORTDOCS%%%%DOCSDIR%%/doc/intro.txt
 %%PORTDOCS%%%%DOCSDIR%%/doc/licenses/BSD.txt
 %%PORTDOCS%%%%DOCSDIR%%/doc/licenses/GPL.txt
@@ -74,6 +232,7 @@
 %%PORTDOCS%%%%DOCSDIR%%/doc/test.xml
 %%PORTDOCS%%%%DOCSDIR%%/doc/valgrind.txt
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/doc/licenses
+%%PORTDOCS%%@dirrm %%DOCSDIR%%/doc/html/api
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/doc/html
 %%PORTDOCS%%@dirrm %%DOCSDIR%%/doc
 %%PORTDOCS%%@dirrm %%DOCSDIR%%